var assert = require('assert')
  , redis = require('redis')
  , sia = require('../index.js')
  , sio = require('socket.io')
  , io = require('socket.io-client')
  , RedisStore = sio.RedisStore

var redisClient = redis.createClient()
  , announce = sia.createClient({ namespace: 'namespace' })
  , socketio = sio.listen(8124, { store: new RedisStore }, function () {
      console.log(arguments)

      socket = io.connect('http://localhost:8124/namespace')

      socket.on('connect', function() {
        console.log('connect', arguments)
      })

      socket.on('message', function(message) {
        console.log('message', message)
      })

      socket.on('m', function(object) {
        console.log('object', object)
      })

      announce.send('Hello, world!')
      announce.in('test').emit({ m: 'Hello, world!' })
    })

socketio.of('namespace').on('connection', function (socket) {
  socket.join('test')
  console.log(socket.id, 'connected')
})

assert.equal(announce.namespace, 'namespace')

redisClient.subscribe('dispatch')
redisClient.on('message', function (event, message) { console.log(JSON.parse(message)) })
