var path = require('path')
  , sia = require('../index.js')
  , sio = require('socket.io')
  , client = require('socket.io-client')
  , tap = require('tap')

var test = tap.test

test('Announce basic', function (t) {
  var EventEmitter = require('events').EventEmitter
    , RedisClient = require('redis').RedisClient
    , announce = sia.createClient()
    , Announce = sia

  t.isa(announce, EventEmitter, 'announce should be instanceof EventEmitter')
  t.isa(announce, Announce, "announce should be instanceof Announce")
  t.isa(announce.pub, RedisClient, "pub should be instanceof RedisClient")

  t.ok(announce.nodeId, "nodeId is defined")
  t.equal(announce.namespace, '', "default namespace should be empty string")
  t.end()
})

test('Announce namespace', function (t) {
  t.plan(5)

  var redisClient = require('redis').RedisClient()
    , announce = sia.createClient({ namespace: 'namespace' })
    , socketio = sio.listen()
    , client = client.connect('http://localhost:8124/namesace')

  t.equal(announce.namespace, 'namespace', "namespace should be `namespace`")

  redisClient.subscribe('dispatch')
  redisClient.on('message', function (event, message) {
    t.equal(message.args[0], 'namespace')
  })

  client.on('connect', function(socket))

  announce.send('Hello, world!')
  announce.emit({ m: 'Hello, world!' })
  t.end()
})
